<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>zi-wms-fpcd-server</artifactId>
		<groupId>com.zxy.idm</groupId>
		<version>${revision}</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>zi-wms-service</artifactId>
	<dependencies>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zi-wms-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>com.zxy.idm</groupId>
			<artifactId>zi-wms-data</artifactId>
		</dependency>
		<!-- Apache CXF 依赖 -->
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-frontend-jaxws</artifactId>
			<version>3.5.5</version> <!-- 请根据实际情况选择最新稳定版本 -->
		</dependency>
		<dependency>
			<groupId>org.apache.cxf</groupId>
			<artifactId>cxf-rt-transports-http</artifactId>
			<version>3.5.5</version> <!-- 请根据实际情况选择最新稳定版本 -->
		</dependency>

		<!-- Apache Axis 依赖 -->
		<dependency>
			<groupId>axis</groupId>
			<artifactId>axis</artifactId>
			<version>1.4</version> <!-- 请根据实际情况选择最新稳定版本 -->
		</dependency>
		<dependency>
			<groupId>axis</groupId>
			<artifactId>axis-jaxrpc</artifactId>
			<version>1.4</version> <!-- 请根据实际情况选择最新稳定版本 -->
		</dependency>
		<dependency>
			<groupId>axis</groupId>
			<artifactId>axis-saaj</artifactId>
			<version>1.4</version> <!-- 请根据实际情况选择最新稳定版本 -->
		</dependency>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>4.5.13</version>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.83</version> <!-- 请根据需要选择版本 -->
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.8.11</version> <!-- 请根据需要选择最新版本 -->
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.jexcelapi</groupId>
			<artifactId>jxl</artifactId>
			<exclusions>
				<exclusion>
					<artifactId>log4j</artifactId>
					<groupId>log4j</groupId>
				</exclusion>
			</exclusions>
		</dependency>
<!--				<dependency>-->
<!--					<groupId>com.zxy.idm</groupId>-->
<!--					<artifactId>zi-wms-client</artifactId>-->
<!--				</dependency>-->

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.11.0</version>
		</dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-generic</artifactId>
        </dependency>
        <dependency>
            <groupId>com.zxy.idm</groupId>
            <artifactId>zi-wms-inf</artifactId>
        </dependency>
    </dependencies>
</project>